-- Copyright   :  (c) Vidas Daudaravicius 2012
-- License     :  BSD3-style (see LICENSE)
-- Version     : 0.1

module Text where

import Data.Char

------------------------------------------------------
tokenize :: String -> [String]
tokenize [] = []
tokenize all@(x:xs)
         | isAlpha x                     = (map (toLower) word):tokenize rem
         | isSymbol x                    = [x]:tokenize xs
         | isDigit x                     = numb:tokenize rem2
         | isPunctuation x               = [x]:tokenize xs
         | otherwise                     = tokenize xs
         where 
           (word,rem) = span (isAlpha) all
           (numb,rem2) = span (isDigit) all

